libvisio::VSDShapeList Class Reference

`#include <VSDShapeList.h>`

## Public Member Functions

| VSDShapeList ()
| ~VSDShapeList ()
| VSDShapeList (const VSDShapeList &shapeList)
VSDShapeList & | operator= (const VSDShapeList &shapeList)
void | addShapeId (unsigned id, unsigned shapeId)
void | addShapeId (unsigned shapeId)
void | setElementsOrder (const std::vector< unsigned > &elementsOrder)
void | clear ()
bool | empty () const
const std::vector< unsigned > & | getShapesOrder ()

## Private Attributes

std::map< unsigned, unsigned > | m_elements
std::vector< unsigned > | m_elementsOrder
std::vector< unsigned > | m_shapesOrder

## Constructor & Destructor Documentation

## VSDShapeList() [1/2]

libvisio::VSDShapeList::VSDShapeList | ( |  | ) |

Referenced by VSDShapeList().

## ~VSDShapeList()

libvisio::VSDShapeList::~VSDShapeList | ( |  | ) |

## VSDShapeList() [2/2]

libvisio::VSDShapeList::VSDShapeList | ( | const VSDShapeList & | shapeList | ) |

## Member Function Documentation

## addShapeId() [1/2]

void libvisio::VSDShapeList::addShapeId | ( | unsigned | id,
|  | unsigned | shapeId )

## addShapeId() [2/2]

void libvisio::VSDShapeList::addShapeId | ( | unsigned | shapeId | ) |

## clear()

void libvisio::VSDShapeList::clear | ( |  | ) |

Referenced by ~VSDShapeList().

## empty()

bool libvisio::VSDShapeList::empty | ( |  | ) | const

inline

Referenced by getShapesOrder().

## getShapesOrder()

const std::vector< unsigned > & libvisio::VSDShapeList::getShapesOrder | ( |  | ) |

## operator=()

libvisio::VSDShapeList & libvisio::VSDShapeList::operator= | ( | const VSDShapeList & | shapeList | ) |

## setElementsOrder()

void libvisio::VSDShapeList::setElementsOrder | ( | const std::vector< unsigned > & | elementsOrder | ) |

## Member Data Documentation

## m_elements

std::map<unsigned, unsigned> libvisio::VSDShapeList::m_elements

private

Referenced by addShapeId(), addShapeId(), clear(), empty(), getShapesOrder(), operator=(), VSDShapeList(), and VSDShapeList().

## m_elementsOrder

std::vector<unsigned> libvisio::VSDShapeList::m_elementsOrder

private

Referenced by addShapeId(), clear(), getShapesOrder(), operator=(), setElementsOrder(), VSDShapeList(), and VSDShapeList().

## m_shapesOrder

std::vector<unsigned> libvisio::VSDShapeList::m_shapesOrder

private

Referenced by clear(), getShapesOrder(), operator=(), VSDShapeList(), and VSDShapeList().

The documentation for this class was generated from the following files:

- VSDShapeList.h
- VSDShapeList.cpp